#include <iostream>
using namespace std;

int main()
{
	short int a, b, x, y;
	cin >> a >> b;
	cin >> x >> y;
	if ((a - x == 0) || (b - y == 0))
	{
		if ((a - x == 0) && (b - y == 0))
			cout << "nijedan";
		else if (b - y == 0)
			cout << "prvi";
		else if (a - x == 0)
			cout << "drugi";

	}
	else
		cout << "?";
}